ContentSearch API QUAL

Refresh triggers an update of the cached "news" and "category" tag definitions. The latest tags are fetched from Contentful, and the existing cache is overwritten.

post
https://api-qual.migros.ch/migros/contentsearch/v1/refresh

Response

application/json

A successful response.

infostring

Provides information about the result of the refresh operation.

post/migros/contentsearch/v1/refresh
 
application/json

Status provides the current state of the server, including cached "news" and "category" tag definitions for the supported applications. At the moment, this only includes tag definitions, but this RPC is designed to be extended with additional runtime information in the future.

get
https://api-qual.migros.ch/migros/contentsearch/v1/statusz

Response

application/json

A successful response.

categoryTagDefinitionsarray[object]

Cached definitions of category tags.

Show Child Parameters
newsTagDefinitionsarray[object]

Contains the current state of cached tag definitions for news and category
tags.

Cached definitions of news tags.

Show Child Parameters
get/migros/contentsearch/v1/statusz
 
application/json

ListStories returns published stories.

get
https://api-qual.migros.ch/migros/contentsearch/v1/stories

Query Parameters

contentfulAppIdstringrequired

Required. The contentful app ID to list news for, e.g. corporate.migros.ch
test-corporate.migros.ch.
This is needed in the backend so we can identify which news tags (e.g.
Warenrückruf und Medienmitteilungen) apply; articles with those news
tags are then excluded from the response.

languagestring

Optional. If set, only stories matching this language will be returned. By
default, german stories are returned.

Allowed values:DEFRITEN

Default:DE

topicTagIdsarray[string]

The service does not verify/validate that the passed tag IDs are indeed
topic tags or category tags.

Optional. If empty, stories matching any topic tags are returned. If at
least one topic tag is given, each returned story must have at least one
of these tags present in order to be returned.
Tag ordering within this list does not matter. Duplicates are ignored.

categoryTagIdsarray[string]

Optional. If empty, stories of any category (e.g. “Interview”, “Podcast”)
will be returned. If at least one category tag is given, each returned
story must have at least one of these tags present in order to be returned.
Tag ordering within this list does not matter. Duplicates are ignored.

mustNotTagIdsarray[string]

Optional. Specifies disallowed category tags (e.g., ‘Interview’, ‘Podcast’). Tags matching any tag in this set will not be returned in the response. Tag ordering within this list does not matter. Duplicates are ignored.

pageSizestring(int64)

Optional. The maximum number of stories to return in the response.

nextPageFromstring(int64)

Optional. A pagination token returned from a previous call to ListStories
that indicates where this listing should continue from.

sortByarray[string]

Optional. Multiple sort parameters to determine the order of the results. Example: [‘releaseDate:desc’, ‘_score:desc’]. Valid Fields are releaseDate and _score. Each entry specifies a field and its sort direction (asc/desc).

Response

application/json

A successful response.

storiesarray[object]

Story represents a story published to Migros corporate websites.

Show Child Parameters
totalHitsstring(int64)

Total number of stories for this request, not taking page_size into
account.

get/migros/contentsearch/v1/stories
 
application/json

ImagePoint

object
xstring(int64)
ystring(int64)
Example

consolcontentsearchContact

object
addressstring

Physical address of the contact.

companystring

Name of the company associated with the contact.

descriptionstring

Description of the contact.

emailstring

Email address for the contact.

functionstring

Function of the contact.

imageobject

Image associated with the contact.

Show Child Parameters
mobilestring

Mobile phone number for the contact.

phonestring

Phone number for the contact.

titlestring

Title of the contact.

Example